com.abbyy.mobile.rtr

## Interface ITextCaptureService

- All Superinterfaces:
    IRecognitionService

      public interface ITextCaptureService
      extends IRecognitionService

  A text capture service interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ITextCaptureService.Callback` A callback interface to interact with the text capture service: input the data and obtain the results.
    `static class` | `ITextCaptureService.CharInfo` Extended information about the characters' formatting.
    `static interface` | `ITextCaptureService.ExtendedSettings` Extended service configuration settings.
    `static class` | `ITextCaptureService.TextLine` A line of recognized text; the location and additional information are also available.

    - ### Nested classes/interfaces inherited from interface com.abbyy.mobile.rtr.IRecognitionService

      `IRecognitionService.DebugLog, IRecognitionService.ResultStabilityStatus, IRecognitionService.Warning`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITextCaptureService.ExtendedSettings` | `getExtendedSettings()` Extended service configuration settings.
    `void` | `setRecognitionLanguage(Language... languages)` Sets the languages to be used for recognition.
    `void` | `setTextTypes(TextCapture.TextType... textTypes)` Sets the text types to be used for recognition.
    `void` | `setTranslationDictionary(java.lang.String dictionaryName)` Deprecated.

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IRecognitionService

      `setAreaOfInterest, setDebugLog, start, stop, submitFrame, submitFrame, submitRequestedFrame`

- - ### Method Detail

    - #### setRecognitionLanguage

          void setRecognitionLanguage(Language... languages)

      Sets the languages to be used for recognition.

      By default, only English language is set. Setting the correct languages for your text will improve recognition accuracy. However, setting too many languages may slow down performance.

      Parameters:
        `languages` - one or more languages to be used for recognition

    - #### setTranslationDictionary

          @Deprecated
          void setTranslationDictionary(java.lang.String dictionaryName)

      Deprecated.
      Sets the name of the translation dictionary.

      By default, no translation dictionary is used. Translation dictionaries should be put in the 'assets\translation' folder.

      Parameters:
        `dictionaryName` - the name of the translation dictionary file without extension

    - #### setTextTypes

          void setTextTypes(TextCapture.TextType... textTypes)

      Sets the text types to be used for recognition.

      By default, only the 'Normal' text type is set. This is sufficient in most cases. Setting the correct text type for your text could improve the accuracy of recognition. However, setting multiple text types may slow down the performance.

      Parameters:
        `textTypes` - one or more text types to be used for recognition

    - #### getExtendedSettings

          ITextCaptureService.ExtendedSettings getExtendedSettings()

      Extended service configuration settings. Settings for advanced users. Not used in typical scenarios
      Specified by:
        `getExtendedSettings` in interface `IRecognitionService`
      Returns:
        extended service configuration settings